=== ActiveRecord/Makefile ===
#
# Makefile
#
# Makefile for Poco ActiveRecord Library
#

include $(POCO_BASE)/build/rules/global

objects = Context ActiveRecord IDTraits StatementPlaceholderProvider

target         = PocoActiveRecord
target_version = 1
target_libs    = PocoData PocoFoundation

include $(POCO_BASE)/build/rules/lib
