=== debian/changelog ===
poco (1.11.0-4.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:39:23 +1100

poco (1.11.0-4.1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:04:16 +0000

poco (1.11.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063265

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 21:03:46 +0000

poco (1.11.0-4) unstable; urgency=medium

  * QA upload.
  * Upload to orphan package. (See #999989)
    And after discussion in [debian-qa] mailing list
    https://lists.debian.org/debian-qa/2024/01/msg00006.html
  * debian/control:
    - Set maintainer to Debian QA Group and remove Uploaders
      (Closes: #1003228)

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Tue, 16 Jan 2024 00:46:36 -0500

poco (1.11.0-3) unstable; urgency=medium

  * Fix cmake files (Closes: #1000656)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 27 Nov 2021 13:39:34 +0100

poco (1.11.0-2) unstable; urgency=medium

  * upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 10 Oct 2021 22:21:48 +0200

poco (1.11.0-1) experimental; urgency=medium

  * New upstream version 1.11.0
  * Update copyright
  * Rebase patches
  * Rename packages due to soVersion bump
  * remove gitlab-ci.yml
  * bump policy version (no changes)
  * Add new libpocoactiverecord80 library

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 23 Sep 2021 20:05:37 +0200
